.buryit{
display:none;
}
#div_digg{
width:auto !important;
}
#home{
background:rgba(255,255,255,0.8) !important;
margin-top:20px;
}
.postCon a:link, .postCon a:visited, .postCon a:active{
    text-decoration: none
}
.postCon  a{
  padding: 0 20px;
  height: 45px;
  line-height: 45px;
  position: relative;
  display: block;
  margin: 15px 25px;
  letter-spacing: 1px;
  font-weight: 400;
  text-shadow: 0 0 1px rgba(255,255,255,0.3);
  transition: 0.3s;
  text-align: center;
  text-decoration: none
}
.postCon a::before {
  top: 0;
  left: 0;
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
  -webkit-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  transform-origin: 0 0;
}
.postCon a::after {
  right: 0;
  bottom: 0;
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
  -webkit-transform-origin: 100% 0;
  -moz-transform-origin: 100% 0;
  transform-origin: 100% 0;
}
.postCon  a::before, .postCon  a::after {
  position: absolute;
  width: 45px;
  height: 1px;
  background: #C3C3C3;
  content: '';
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
  pointer-events: none;
}
.postCon  a:hover{
    color:  #21759B;
}
.postCon  a:hover::before,
.postCon  a:hover::after,
.postCon  a:focus::before,
.postCon  a:focus::after {
    background: #21759B;
}
.postCon  a:hover::before,
.postCon  a:focus::before {
    left: 50%;
    -webkit-transform: rotate(0deg) translateX(-50%);
    -moz-transform: rotate(0deg) translateX(-50%);
    transform: rotate(0deg) translateX(-50%);
}
.postCon  a:hover::after,
.postCon  a:focus::after {
    right: 50%;
    -webkit-transform: rotate(0deg) translateX(50%);
    -moz-transform: rotate(0deg) translateX(50%);
    transform: rotate(0deg) translateX(50%);
}
.postDesc a:link, .postDesc a:visited, .postDesc a:active{
    color: #21759B;
}
.postDesc a {
  border: 1px solid #21759B;
  border-radius: 5px;
  transition: 0.3s;
  color: rgba(187, 0, 187, 0.75);
}
.postDesc a:hover {
  background-color: #21759B;
  color: white;
  transition: 0.3s;
  border-radius: 3px;
}
.newsItem, .catListEssay, .catListLink, .catListNoteBook, .catListTag, .catListPostCategory, .catListPostArchive, .catListImageCategory, .catListArticleArchive, .catListView, .catListFeedback, .mySearch, .catListComment, .catListBlogRank, .catList, .catListArticleCategory{
background: rgba(255,255,255,0) !important;
}
.catListLink a {
    transition: all 0.1s linear 0s;
}
.catListLink a:hover {
    border-left: 3px solid #21759B;
    padding-left: 3px;
    transition: all 0.1s linear 0s;
    text-decoration: none !important;
}
.catListTag a {
    border: 1px solid #21759B;
  border-radius: 4px;
padding: 1px 1px .5px .5px;
    transition: all 0.1s linear 0s;
    text-decoration: none !important;
    color: #21759B !important;
}
.catListTag a:hover {
    background-color: #21759B  !important;
  color: white  !important;
    transition: all 0.1s linear 0s;
    text-decoration: none !important;
border-radius: 3px;
}
.CalTodayDay u {
    color: white;
    text-decoration: none;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active{
  transition: all 0.1s linear 0s !important;
}
#blog_nav_sitehome {
    display: none !important;
}
.catListTag li {
    color: #757575 !important;
}
blockquote, q {
  border-left: 4px solid #34D3FA  !important;
  padding: 0 1em;
  color: #121026;
  quotes: none;
}

blockquote::before, blockquote::after, q::before, q::after {
  content: none;
}
.postBody blockquote {
    min-height: 35px;
    line-height: 1.6em;
    color: #121026;
    border: 0px;
}
.cnblogs-markdown .hljs {
    font-family: "Courier New",sans-serif !important;
    font-size: 15px !important;
    line-height: 1.5 !important;
    padding: 5px !important;
    color: white;
}
.cnblogs-markdown code {
    font-family: "Courier New",sans-serif !important;
    border: 2px solid #34D3FA !important;
    padding: 0px 5px !important;
    line-height: 1.8;
    margin: 1px 5px;
    vertical-align: middle;
    display: inline-block;
    background:#525252   !important;
    color: white;
    border-radius: 5px 0 !important;
   box-shadow: 0px 5px 9px #121026 inset,0 1px 3px black;
}
/* Tomorrow Night Blue Theme */
/* https://jmblog.github.com/color-themes-for-google-code-highlightjs */
/* Original theme - https://github.com/chriskempson/tomorrow-theme */
/* https://jmblog.github.com/color-themes-for-google-code-highlightjs */

/* Tomorrow Comment */
.hljs-comment,
.hljs-title {
  color: #7285b7;
}

/* Tomorrow Red */
.hljs-variable,
.hljs-attribute,
.hljs-tag,
.hljs-regexp,
.ruby .hljs-constant,
.xml .hljs-tag .hljs-title,
.xml .hljs-pi,
.xml .hljs-doctype,
.html .hljs-doctype,
.css .hljs-id,
.css .hljs-class,
.css .hljs-pseudo {
  color: #ff9da4;
}

/* Tomorrow Orange */
.hljs-number,
.hljs-preprocessor,
.hljs-pragma,
.hljs-built_in,
.hljs-literal,
.hljs-params,
.hljs-constant {
  color: #ffc58f;
}

/* Tomorrow Yellow */
.ruby .hljs-class .hljs-title,
.css .hljs-rules .hljs-attribute {
  color: #ffeead;
}

/* Tomorrow Green */
.hljs-string,
.hljs-value,
.hljs-inheritance,
.hljs-header,
.ruby .hljs-symbol,
.xml .hljs-cdata {
  color: #d1f1a9;
}

/* Tomorrow Aqua */
.css .hljs-hexcolor {
  color: #99ffff;
}

/* Tomorrow Blue */
.hljs-function,
.python .hljs-decorator,
.python .hljs-title,
.ruby .hljs-function .hljs-title,
.ruby .hljs-title .hljs-keyword,
.perl .hljs-sub,
.javascript .hljs-title,
.coffeescript .hljs-title {
  color: #bbdaff;
}

/* Tomorrow Purple */
.hljs-keyword,
.javascript .hljs-function {
  color: #ebbbff;
}

.hljs {
  display: block;
  overflow-x: auto;
  background: #002451;
  color: white;
  padding: 0.5em;
  -webkit-text-size-adjust: none;
}

.coffeescript .javascript,
.javascript .xml,
.tex .hljs-formula,
.xml .javascript,
.xml .vbscript,
.xml .css,
.xml .hljs-cdata {
  opacity: 0.5;
}
.c_b_p_desc {
    font-size: 14px;
    line-height: 1.7;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}
a.c_b_p_desc_readmore {
    color: #8a8989;
}
a.c_b_p_desc_readmore:hover {
    color: #21759b;
}
#cnblogs_post_body p{
    font-size: 17px;
}
#cnblogs_post_body h3{
border-bottom: 1px dotted #d8d8d8;
border-left: 6px solid #33CEF4;
padding: 0 15px;
border-radius: 50px 0 0 0;
color: #33CEF4;
}
#cnblogs_post_body h2 {
    font-size: 1.4em;
    border-left: 6px solid #34D3FA;
    padding: 5px;
background: -moz-linear-gradient( right,#34D3FA,#121026);
background: -webkit-linear-gradient( right,#34D3FA,#121026);
    color: white;
  box-shadow:0px 1px 2px #121026;
border-radius: 0 0 50px 0;
text-shadow: 0px 1px 9px #121026;
font-family: consolas,方正清刻本悦宋简体;
}
#cnblogs_post_body h1 {
    font-size: 1.6em;
    border-left: 8px solid #34D3FA;
    border-right: 8px solid #34D3FA;
    text-align: center;
  background: -moz-linear-gradient( right,#121026,#34D3FA,#3D3C5C,#121026);
  background: -webkit-linear-gradient( right,#121026,#34D3FA,#3D3C5C,#121026);
    padding: 5px;
    color: white;
    text-shadow: 0px 2px 3px #34D3FA;
  box-shadow:0px 1px 5px #34D3FA,inset 0 3px 20px black;
border-radius: 0 0 50px 50px;
font-family: consolas,方正清刻本悦宋简体;
}
#sideBar h3 {
    border-left: 6px solid #34D3FA;
    padding: 5px;
   background: -moz-linear-gradient( right,#34D3FA,#121026);
background: -webkit-linear-gradient( right,#34D3FA,#121026);
    color: white;
  box-shadow:0px 1px 2px #121026;
border-radius: 0 0 50px 0;
}
#navigator {
    height: 50px;
    clear: both;
  border-left: 8px solid #34D3FA;
  border-right: 8px solid #34D3FA;
border-top: transparent;
border-bottom: 1px solid rgba(255,255,255,.5);
  text-align:center;
  background: -moz-linear-gradient( right,#121026,#34D3FA,#3D3C5C,#121026);
  background: -webkit-linear-gradient( right,#121026,#34D3FA,#3D3C5C,#121026);
    padding: 5px;
    color: white !important;
    box-shadow: 0px 1px 5px #121026,inset 0 3px 10px #fff;
border-radius: 0 0 50px 50px;
 transition: 1s;
}
#navigator:hover{
border-radius: 3px;
 transition: 1s;
background: #121026;
}
#navigator a:hover {
    color: #34D3FA !important;
    transition: all 0.1s linear 0s;
}
#navigator a {
    color: white !important;
}
div#blog_stats {
    color: #ccc;
}
#blogTitle h1 a {
    color: #121026;
font-family: consolas,方正清刻本悦宋简体;
}
.catListTag li {
    line-height: 1.8;
    display: inline-block;
    margin-right: 10px;
    margin-bottom: 5px;
}
#commentform_title {
    padding-left: 16px;
    border-left: 6px solid #34D3FA;
    background:-moz-linear-gradient( right,#34D3FA,#121026);
    background:-webkit-linear-gradient( right,#34D3FA,#121026);
    color: white;
    box-shadow: 0px 1px 2px #121026;
    margin-top: 10px;
border-radius: 0 0 50px 0;
font-size: 17px;
text-shadow: 0px 2px 6px #121026;
}
.author_profile_info a:hover {
    background-color: #21759B;
    color: white;
    transition: 0.3s;
    border-radius: 3px;
}
.author_profile_info a {
    border: 1px solid #21759B;
    border-radius: 5px;
    transition: 0.3s;
    color: #21759B;
    text-decoration: none !important;
}
.postTitle2 {
    font-family: consolas,方正清刻本悦宋简体;
    font-size: 25px;
font-weight: bold;
}
#navList{
    margin-left: 20px;
}
#navList li {
    margin: -3px 35px 0 0;
    font-family: consolas,方正清刻本悦宋简体;
    font-size: 20px;
}
#sideBarMain h3 {
    font-family: consolas,方正清刻本悦宋简体;
    font-size: 17px;
    text-shadow: 0px 2px 6px #121026;
}
a.c_b_p_desc_readmore {
    font-family: consolas,方正清刻本悦宋简体;
font-size: 17px;
}
#ad_t2{
display:none;
}
.c_ad_block{
display:none;
}
.comment_icon {
    width: 18px;
    opacity: 0.7;
transition:0.5s;
}
.comment_icon:hover {
    opacity: 1;
transform:translateY(-2px);
filter:drop-shadow(0 3px 1px #777);
}
#gotop{
		position: fixed;
		bottom: 20px;
		right: 20px;
		width: 40px;
		height: 40px;
		background:#fff  url('https://sandbox.runjs.cn/uploads/rs/200/ycdwfpfn/top(1).png');
		background-size: 100%;
		filter: drop-shadow(0 2px 3px #71053A);
		opacity: 0.7;
		display: none;
		transition: 0.3s;
border-radius:100%;
	}
	#gotop:hover{
		opacity: 1;
                transform: scale(1.5);
background:url('https://sandbox.runjs.cn/uploads/rs/200/ycdwfpfn/top(1).png');
		background-size: 100%;
	}
	@keyframes slideInUp {
	  from {
	    transform: translate3d(0, 100%, 0);
	    visibility: visible;
	  }

	  to {
	    transform: translate3d(0, 0, 0);
	  }
	}

	.slideInUp {
	  animation: slideInUp 0.5s;
	}
.commentbox_main {

    border: 1px solid #79D3FC;
    padding: 10px 5px 0px 5px;
    border-radius: 10px;
    background: #DDD;
    box-shadow: inset 0 5px 10px #fff,inset 0 -5px 7px #838383,0 3px 4px #656565;
}
#tbCommentBody {
    width: 97.5% !important;
}
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}
@keyframes flipInX {
  from {
    transform: perspective(400px) rotate3d(1, 0, 0, 90deg);
    animation-timing-function: ease-in;
    opacity: 0;
  }

  40% {
    transform: perspective(400px) rotate3d(1, 0, 0, -20deg);
    animation-timing-function: ease-in;
  }

  60% {
    transform: perspective(400px) rotate3d(1, 0, 0, 10deg);
    opacity: 1;
  }

  80% {
    transform: perspective(400px) rotate3d(1, 0, 0, -5deg);
  }

  to {
    transform: perspective(400px);
  }
}
@keyframes flip {
  from {
    transform: perspective(400px) rotate3d(0, 1, 0, -360deg);
    animation-timing-function: ease-out;
  }

  40% {
    transform: perspective(400px) translate3d(0, 0, 150px) rotate3d(0, 1, 0, -190deg);
    animation-timing-function: ease-out;
  }

  50% {
    transform: perspective(400px) translate3d(0, 0, 150px) rotate3d(0, 1, 0, -170deg);
    animation-timing-function: ease-in;
  }

  80% {
    transform: perspective(400px) scale3d(.95, .95, .95);
    animation-timing-function: ease-in;
  }

  to {
    transform: perspective(400px);
    animation-timing-function: ease-in;
  }
}

#blogTitle{
display:none;
}
#blogTitle h1{
  -webkit-backface-visibility: visible;
  backface-visibility: visible;
  animation: flip 1s;
animation-delay:1s;
}
#navigator{
  -webkit-backface-visibility: visible !important;
  backface-visibility: visible !important;
  animation: flipInX 1s;
animation-delay:0.3s;
}
#home {
  animation: fadeInUp 0.5s;
}
.forFlow {
  animation: fadeInUp 1s;
animation-delay:0.6s;
}
#sideBar {
  animation: fadeInUp 1s;
animation-delay:0.9s;
}
progress{
		width: 100%;
		position: fixed;
		bottom: 0;
		left: 0;
		transition: 1s;
	}
.box{
display: flex;
justify-content: center;
margin-top:50px;
	perspective:500px;
	transform-style:preserve-3d;
  animation: fadeInUp 0.5s;
}
.font{
	float:left;
width:100px;
	height:100px;
background:#fff;
	color:#16142B;
	border: 1px solid #16142B;
	font-family:consolas;
	font-weight:bold;
	font-size:50px;
	text-align:center;
	line-height:100px;
	transition:0.8s;
	box-shadow: 0 5px 10px black,inset 0 5px 2px #777,inset 0 -5px 2px #333,inset 5px 0px 2px #444,inset -5px 0px 2px #444;
	border-radius:20px;
}
.box:hover #d,.box:hover #k,.box:hover #p{
	transform:rotateY(45deg)translateZ(10px);
	box-shadow: -25px 15px 25px black;
	border-radius:10px;
}
.box:hover #l,.box:hover #u,.box:hover #s{
	transform:rotateY(-45deg)translateZ(10px);
	box-shadow: 25px 15px 25px black;
	border-radius:10px;
}
#d:hover,#k:hover,#p:hover,#l:hover,#u:hover,#s:hover{
background:#33CCF2;
	color:#fff;
}
table#blogCalendar a {
    background: #2ca8cb;
    border-radius: 100%;
    width: 20px;
    height: 20px;
    display: block;
    color: #fff;
    text-align: center;
}
table#blogCalendar u {
    text-decoration: none;
}